NSX-T Data Center REST API

Get VPC Subnet statistics information

Get VPC Subnet statistics information.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/vpcs/{vpc-id}/subnets/{subnet-id}/statistics
Request Headers:
n/a
Query Parameters:
L2L3RuntimeRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/orgs/default/projects/project-1/vpcs/vpc-1/subnets/subnet-1/statistics?enforcement_point_path=/infra/sites/default/enforcement-points/default

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
SubnetStatistics+

Example Response:

{ "rx_packets": { "multicast_broadcast": 19914, "dropped": 2358, "total": 28909 }, "rx_bytes": { "multicast_broadcast": 1692690, "dropped": 0, "total": 3692670 }, "tx_packets": { "multicast_broadcast": 19914, "dropped": 0, "total": 28968 }, "tx_bytes": { "multicast_broadcast": 1493550, "dropped": 0, "total": 2853978 }, "dropped_by_security_packets": { "spoof_guard_dropped": [ { "packet_type": "IPV4", "counter": 0 }, { "packet_type": "IPV6", "counter": 0 }, { "packet_type": "ARP", "counter": 0 }, { "packet_type": "ND", "counter": 0 }, { "packet_type": "NON_IP", "counter": 0 } ], "bpdu_filter_dropped": 0, "dhcp_server_dropped_ipv4": 0, "dhcp_server_dropped_ipv6": 0, "dhcp_client_dropped_ipv4": 0, "dhcp_client_dropped_ipv6": 0 }, "mac_learning": { "mac_not_learned_packets_allowed": 0, "mac_not_learned_packets_dropped": 0, "macs_learned": 0 }, "logical_switch_id": "3df039b1-d031-4733-987f-fcf8a4ed3e5b", "last_update_timestamp": 1548964636611 } VPC subnet with VLAN extension statistics { "gateway_interface": { "interface_policy_path": "/orgs/default/projects/default/vpcs/vpc1/subnets/p-1", "rx": { "total_bytes": 0, "total_packets": 0, "dropped_packets": 0 }, "tx": { "total_bytes": 0, "total_packets": 0, "dropped_packets": 0 }, "logical_router_port_id": "dbd7ef42-925a-49ea-992a-f29583c3fddf" }, "vlan_extension": { "vlan_to_vpc_packets": { "dropped": 0, "total": 13, "unknown unicast": 0 }, "vlan_to_vpc_bytes": { "total": 642, "unknown unicast": 0 }, "vpc_to_vlan_packets": { "dropped": 0, "total": 0, "unknown unicast": 0 }, "vpc_to_vlan_bytes": { "total": 0, "unknown unicast": 0 }, "endpoint_id": "15269939-779a-4fa4-9a0a-792dbf9fac12", "last_update_timestamp": 1743462554392, }, "rx_packets": { "dropped": 0, "total": 0 }, "rx_bytes": { "total": 0 }, "tx_packets": { "dropped": 0, "total": 0 }, "tx_bytes": { "total": 0 }, "logical_switch_id": "f50a8b3b-567d-4373-93d8-5336e91e4cc5", "last_update_timestamp": 1744257421794 }

Required Permissions:

read

Feature:

policy_segment

Additional Errors: